From 057560c51e07af4e5aa795f2ec0e770f38e6e56c Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Thu, 18 Jul 2019 14:28:48 +0200
Subject: [PATCH 12/14] pcre2: disable JIT on riscv

---
 srcpkgs/pcre2/template | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/pcre2/template b/srcpkgs/pcre2/template
index 4791fdecd1b..6e57faf8190 100644
--- a/srcpkgs/pcre2/template
+++ b/srcpkgs/pcre2/template
@@ -1,7 +1,7 @@
 # Template file for 'pcre2'
 pkgname=pcre2
 version=10.33
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-pic --enable-pcre2-16 --enable-pcre2-32
 --enable-pcre2test-libreadline --enable-pcre2grep-libz --enable-pcre2grep-libbz2
@@ -15,6 +15,10 @@ homepage="http://www.pcre.org/"
 distfiles="https://ftp.pcre.org/pub/pcre/pcre2-${version}.tar.gz"
 checksum=e2e2899a97489fc6ad1b0cc3da7952c7cca991b4a0f7db6649b75d9721025d31
 
+case "$XBPS_TARGET_MACHINE" in
+        riscv*) configure_args+=" --disable-jit" ;;
+esac
+
 post_install() {
 	vlicense LICENCE
 }

